All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.business
Interface DrillThroughToDetail

All Superinterfaces:
  Base, BusinessModelObject, BusinessModelResource, BusinessModelResourceReferencer, BusinessRule, java.lang.Cloneable, java.util.EventListener, ExtendedAttributes, ModelItem, ModelItemWithIdentity, NamedObjectInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, UsabilityInterface

    @SASScope(value="ALL")
    @SubjectToChange
    public interface DrillThroughToDetail

extends BusinessRule

Specifies a simple business rule that identifies whether the user should be allowed to drill through to detail data in OLAP results.

The enforcement of this rule is not done within SAS Query Services ... and is typically done by components or applications using SAS Query Services. It is usually set up at an early point in time (like when creating an information map) and enforced at a later point in time ... like when consuming resultsets built using that map. New objects of this type have the flag set to true.

Field Summary
`static java.lang.String` | `EVENT_IS_DRILL_THROUGH_ALLOWED_CHANGED` Indicate the "is drill-through allow" value is changed

Fields inherited from interface com.sas.iquery.metadata.business.ModelItemWithIdentity
`EVENT_DESCRIPTION_CHANGED, EVENT_HIDDEN_CHANGED, EVENT_ID_CHANGED, EVENT_LABEL_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Method Summary
`abstract boolean` | `isDrillThroughAllowed()` Returns whether drill through should be allowed
`abstract void` | `setIsDrillThroughAllowed(boolean flag)` Sets whether drill through should be allowed.

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelObject
`getBusinessModel, isContainedInBusinessModel, isIDOK, isReadOnly`

Methods inherited from interface com.sas.iquery.metadata.business.ModelItemWithIdentity
`getID, getIdentityString, getIntraModelID, isHidden, isUnresolved, setDescription, setIntraModelID, setIsHidden, setLabel`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResource
`isUnresolved`

Methods inherited from interface com.sas.iquery.metadata.NamedObjectInterface
`getDescription, getLabel`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.business.ExtendedAttributes
`getExtendedAttributes, setExtendedAttributes`

Field Detail

*** This field is subject to change. ***

### EVENT_IS_DRILL_THROUGH_ALLOWED_CHANGED

    @SASScope(value="ALL")
    @SubjectToChange
    static final java.lang.String EVENT_IS_DRILL_THROUGH_ALLOWED_CHANGED

  Indicate the "is drill-through allow" value is changed

  See Also:
    Constant Field Values

Method Detail

*** This method is subject to change. ***

### isDrillThroughAllowed

    @SASScope(value="ALL")
    @SubjectToChange
    boolean isDrillThroughAllowed()

  Returns whether drill through should be allowed

*** This method is subject to change. ***

### setIsDrillThroughAllowed

    @SASScope(value="ALL")
    @SubjectToChange
    void setIsDrillThroughAllowed(boolean flag)
                                  throws MetadataException

  Sets whether drill through should be allowed.

  Throws:
    `MetadataException`

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.